# confirmDialog

## Description

Displays a dialog box (modal) that asks for confirmation from the user.

## Input / Parameter

| Name          | Description                                | Input Type  | Default | Options | Required |
| ------------- | ------------------------------------------ | ----------- | ------- | ------- | -------- |
| title         | The title of the dialog box.               | String/Text | -       | -       | Yes      |
| content       | The message to be shown in the dialog box. | String/Text | -       | -       | Yes      |
| okCaption     | The label for the 'OK' button.             | String/Text | -       | -       | No       |
| cancelCaption | The label for the 'Cancel' button.         | String/Text | -       | -       | No       |

## Output

N/A

Note: A modal will pop up which displays the parameters specified by the user.

## Callback

### okCallback

Functions to be executed when the user clicks the 'OK' button.

### cancelCallback

Functions to be executed when the user clicks the 'Cancel' button.

## Video

Coming Soon.

## Example

The user wants to display a dialog box to ask for confirmation from the end user.

### Steps

| No. | Description                      |                                                                                                                                                  |
| --- | -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| 1.  | ![](/files/Q0mLuRFrhb0xTdJGctgG) | Drag a button to a page in the mobile designer. Select the event `click` for the button and drag the `confirmDialog` function to the event flow. |
| 2.  | ![](/files/TCKFwMGu1qVjJVaw1PaE) | Fill in the parameters of the function.                                                                                                          |
| 3.  | ![](/files/oPt7ThcxkGTlwnzxgg22) | Drag the function to be executed when the OK button is pressed. In this example, we are using the `gotoPage` function.                           |
| 4.  | ![](/files/ySBwhHW2FGrFMPSYtS34) | Fill in the parameters of the function.                                                                                                          |

### Result

| No.                              | Description                                                                                                                                  |
| -------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| ![](/files/wQ0PvJPBgg9H3iIGAoLH) | When the button is pressed, the confirmDialog modal appears. When 'Proceed' button is pressed on the modal, the page navigates to pgWelcome. |

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dialog/confirmdialog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
